{config, ...}: {
  home-manager.users.jade = {pkgs, ...}: {
    # Needed for nu_scripts background_task
    services.pueue = {
      enable = true;
      settings = {
        shared = {
          use_unix_socket = true;
        };
      };
    };
    home.packages = [
      pkgs.pueue
      pkgs.nushellPlugins.net
      pkgs.nushellPlugins.query
      pkgs.nushellPlugins.gstat
      pkgs.nushellPlugins.polars
      pkgs.nushellPlugins.formats
    ];
    programs.nushell = {
      enable = true;
      package = config.users.defaultUserShell;
      configFile.source = ../../other/config.nu;
      envFile.source = ../../other/env.nu;
      extraConfig = ''
        plugin use ${pkgs.nushellPlugins.query}/bin/nu_plugin_query;
        plugin use ${pkgs.nushellPlugins.polars}/bin/nu_plugin_polars;
        plugin use ${pkgs.nushellPlugins.formats}/bin/nu_plugin_formats;
      '';
    };
    programs.starship.enableNushellIntegration = true;
    programs.carapace.enableNushellIntegration = true;
    programs.direnv.enableNushellIntegration = true;
  };
}
